• Installing Epson Stylus Photo R285 and PX830 printers


    Both printers are recognised on the system/network ,but they can not be installed in CUPS (Cups can be accessed through http://localhost:631
    In Ubuntu /Linux Mint accessing Cups is sufficient to speedily install the printers , but in Antergos one still needs to install drivers ,but drivers for the above printers are not listed for Epson-Stylus-Photo list.
    Why is this so complex for Antergos ?

    Highlandham

  • @highlandham said in Installing Epson Stylus Photo R285 and PX830 printers:

    Why is this so complex for Antergos ?

    Antergos as Archlinux uses the latest aviable stuff and works KISS (KeepItSimple) means we are not trying to change the original source as ubuntu do 😉

    You need to findout wich driver you need and install it:

    https://www.openprinting.org/printer/Epson/Epson-Stylus_Photo_R285 – say printer is supported fith gutenprint, will be the one already work, as far as i understand.

    Second one:
    https://www.openprinting.org/printer/Epson/Epson-PX830_Series – say epson-201112w wich is inside package: foomatic-db-nonfree.
    simple install:

    yaourt -S foomatic-db-nonfree gutenprint
    

    restart cups:

    sudo systemctl restart org.cups.cupsd.service
    

    wait one minute for cups to complete…

    and try again…

    If you are using gnome you can run without the webinterface and use more simple:

    install

    yaourt -S system-config-printer
    

    [updates once a week] = [90% less problems]
    how to add system logs:
    wget http://bit.ly/2GCG9k2 && sh 2GCG9k2
    help development: donate antergos

installing106 epson4 photo2 stylus1 Posts 2Views 727
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.